import { defineComponent, resolveComponent, openBlock, createBlock, withCtx, createVNode, createTextVNode, toDisplayString, unref, createCommentVNode } from 'vue';
import { useI18n } from 'vue-i18n';

var _sfc_main = /* @__PURE__ */ defineComponent({
  ...{
    name: "FModifyRecord"
  },
  __name: "index",
  props: {
    data: {}
  },
  setup(__props) {
    const { t } = useI18n();
    const props = __props;
    return (_ctx, _cache) => {
      const _component_ele_InfoFilled = resolveComponent("ele-InfoFilled");
      const _component_el_icon = resolveComponent("el-icon");
      const _component_el_text = resolveComponent("el-text");
      const _component_ele_UserFilled = resolveComponent("ele-UserFilled");
      const _component_el_tag = resolveComponent("el-tag");
      const _component_el_descriptions_item = resolveComponent("el-descriptions-item");
      const _component_ele_Calendar = resolveComponent("ele-Calendar");
      const _component_ele_Tickets = resolveComponent("ele-Tickets");
      const _component_el_descriptions = resolveComponent("el-descriptions");
      const _component_el_popover = resolveComponent("el-popover");
      return openBlock(), createBlock(_component_el_popover, {
        placement: "bottom",
        width: "300",
        trigger: "hover"
      }, {
        reference: withCtx(() => [
          createVNode(_component_el_text, {
            type: "primary",
            class: "cursor-default"
          }, {
            default: withCtx(() => [
              createVNode(_component_el_icon, null, {
                default: withCtx(() => [
                  createVNode(_component_ele_InfoFilled)
                ]),
                _: 1
                /* STABLE */
              }),
              createTextVNode(
                toDisplayString(unref(t)("message.list.detail")),
                1
                /* TEXT */
              )
            ]),
            _: 1
            /* STABLE */
          })
        ]),
        default: withCtx(() => [
          createVNode(_component_el_descriptions, {
            direction: "vertical",
            column: 2,
            border: ""
          }, {
            default: withCtx(() => [
              createVNode(_component_el_descriptions_item, { width: "140" }, {
                label: withCtx(() => [
                  createVNode(_component_el_text, null, {
                    default: withCtx(() => [
                      createVNode(_component_el_icon, null, {
                        default: withCtx(() => [
                          createVNode(_component_ele_UserFilled)
                        ]),
                        _: 1
                        /* STABLE */
                      }),
                      createTextVNode(
                        toDisplayString(unref(t)("message.list.creator")),
                        1
                        /* TEXT */
                      )
                    ]),
                    _: 1
                    /* STABLE */
                  })
                ]),
                default: withCtx(() => [
                  createVNode(_component_el_tag, null, {
                    default: withCtx(() => {
                      var _a;
                      return [
                        createTextVNode(
                          toDisplayString((_a = props.data.createUserName) != null ? _a : unref(t)("message.list.none")),
                          1
                          /* TEXT */
                        )
                      ];
                    }),
                    _: 1
                    /* STABLE */
                  })
                ]),
                _: 1
                /* STABLE */
              }),
              createVNode(_component_el_descriptions_item, null, {
                label: withCtx(() => [
                  createVNode(_component_el_text, null, {
                    default: withCtx(() => [
                      createVNode(_component_el_icon, null, {
                        default: withCtx(() => [
                          createVNode(_component_ele_Calendar)
                        ]),
                        _: 1
                        /* STABLE */
                      }),
                      createTextVNode(
                        toDisplayString(unref(t)("message.list.createTime")),
                        1
                        /* TEXT */
                      )
                    ]),
                    _: 1
                    /* STABLE */
                  })
                ]),
                default: withCtx(() => [
                  createVNode(_component_el_tag, null, {
                    default: withCtx(() => {
                      var _a;
                      return [
                        createTextVNode(
                          toDisplayString((_a = props.data.createTime) != null ? _a : unref(t)("message.list.none")),
                          1
                          /* TEXT */
                        )
                      ];
                    }),
                    _: 1
                    /* STABLE */
                  })
                ]),
                _: 1
                /* STABLE */
              }),
              createVNode(_component_el_descriptions_item, null, {
                label: withCtx(() => [
                  createVNode(_component_el_text, null, {
                    default: withCtx(() => [
                      createVNode(_component_el_icon, null, {
                        default: withCtx(() => [
                          createVNode(_component_ele_UserFilled)
                        ]),
                        _: 1
                        /* STABLE */
                      }),
                      createTextVNode(
                        toDisplayString(unref(t)("message.list.modifier")),
                        1
                        /* TEXT */
                      )
                    ]),
                    _: 1
                    /* STABLE */
                  })
                ]),
                default: withCtx(() => [
                  createVNode(_component_el_tag, null, {
                    default: withCtx(() => {
                      var _a;
                      return [
                        createTextVNode(
                          toDisplayString((_a = props.data.updateUserName) != null ? _a : unref(t)("message.list.none")),
                          1
                          /* TEXT */
                        )
                      ];
                    }),
                    _: 1
                    /* STABLE */
                  })
                ]),
                _: 1
                /* STABLE */
              }),
              createVNode(_component_el_descriptions_item, null, {
                label: withCtx(() => [
                  createVNode(_component_el_text, null, {
                    default: withCtx(() => [
                      createVNode(_component_el_icon, null, {
                        default: withCtx(() => [
                          createVNode(_component_ele_Calendar)
                        ]),
                        _: 1
                        /* STABLE */
                      }),
                      createTextVNode(
                        toDisplayString(unref(t)("message.list.modifyTime")),
                        1
                        /* TEXT */
                      )
                    ]),
                    _: 1
                    /* STABLE */
                  })
                ]),
                default: withCtx(() => [
                  createVNode(_component_el_tag, null, {
                    default: withCtx(() => {
                      var _a;
                      return [
                        createTextVNode(
                          toDisplayString((_a = props.data.updateTime) != null ? _a : unref(t)("message.list.none")),
                          1
                          /* TEXT */
                        )
                      ];
                    }),
                    _: 1
                    /* STABLE */
                  })
                ]),
                _: 1
                /* STABLE */
              }),
              "remark" in props.data ? (openBlock(), createBlock(_component_el_descriptions_item, { key: 0 }, {
                label: withCtx(() => [
                  createVNode(_component_el_text, null, {
                    default: withCtx(() => [
                      createVNode(_component_el_icon, null, {
                        default: withCtx(() => [
                          createVNode(_component_ele_Tickets)
                        ]),
                        _: 1
                        /* STABLE */
                      }),
                      createTextVNode(
                        toDisplayString(unref(t)("message.list.remark")),
                        1
                        /* TEXT */
                      )
                    ]),
                    _: 1
                    /* STABLE */
                  })
                ]),
                default: withCtx(() => {
                  var _a;
                  return [
                    createTextVNode(
                      " " + toDisplayString((_a = props.data.remark) != null ? _a : unref(t)("message.list.none")),
                      1
                      /* TEXT */
                    )
                  ];
                }),
                _: 1
                /* STABLE */
              })) : createCommentVNode("v-if", true)
            ]),
            _: 1
            /* STABLE */
          })
        ]),
        _: 1
        /* STABLE */
      });
    };
  }
});

export { _sfc_main as default };
